## visad.data.gif
Class GIFAdapter

    java.lang.Object
      visad.data.gif.GIFAdapter

public class GIFAdapter
extends Object

this is an adapter for GIF and other images

Constructor Summary
`GIFAdapter(String filename)` Create a VisAD FlatField from a local GIF, JPEG or PNG file
`GIFAdapter(URL url)` Create a VisAD FlatField from a GIF, JPEG or PNG on the Web.

Method Summary
`FlatField` `getData()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GIFAdapter

    public GIFAdapter(String filename)
               throws IOException,
                      VisADException

  Create a VisAD FlatField from a local GIF, JPEG or PNG file

Parameters:
  `filename` - name of local file.
Throws:
  `IOException` - if there was a problem reading the file.
  `VisADException` - if an unexpected problem occurs.

### GIFAdapter

    public GIFAdapter(URL url)
               throws IOException,
                      VisADException

  Create a VisAD FlatField from a GIF, JPEG or PNG on the Web.

Parameters:
  `url` - File URL.
Throws:
  `IOException` - if there was a problem reading the file.
  `VisADException` - if an unexpected problem occurs.

Method Detail

### getData

    public FlatField getData()